#
# gnocchi::storage::incoming::redis
#
# Redis incoming storage driver for Gnocchi
#
# == Parameters
#
# [*redis_url*]
#   (optional) Redis url.
#
class gnocchi::storage::incoming::redis(
  $redis_url                 = undef,
  $redis_url_metricd         = undef,
  $use_multiple_config_files = false,
) {

  include gnocchi::deps

  if $use_multiple_config_files == true {
    gnocchi_config {
      'incoming/driver':    value => $facts['os_service_default'];
      'incoming/redis_url': value => $facts['os_service_default'];
    }
    gnocchi_api_config {
      'incoming/driver':    value => 'redis';
      'incoming/redis_url': value => $redis_url, secret => true;
    }
    gnocchi_metricd_config {
      'incoming/driver':    value => 'redis';
      'incoming/redis_url': value => $redis_url_metricd, secret => true;
    }
  } else {
    gnocchi_config {
      'incoming/driver':    value => 'redis';
      'incoming/redis_url': value => $redis_url, secret => true;
    }
  }
}
